Last Comment Bug 541936 - change raw dump extension to .dmp
: change raw dump extension to .dmp
Status: RESOLVED FIXED
:
Product: Socorro
Classification: Server Software
Component: Infra (show other bugs)
: Trunk
: All All
: -- trivial (vote)
: 46
Assigned To: Ted Mielczarek [:ted.mielczarek]
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-01-25 04:07 PST by Ted Mielczarek [:ted.mielczarek]
Modified: 2013-05-15 15:43 PDT (History)
5 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description Ted Mielczarek [:ted.mielczarek] 2010-01-25 04:07:27 PST
Just as a convenience for people downloading raw dump files on Windows, the raw dump extension should be .dmp. Visual Studio registers to handle .dmp files, so if we name them as such you can just "Open With" VS to debug them, instead of having to rename them or use File->Open from VS.
Comment 1 Benjamin Smedberg AWAY UNTIL 2-AUG-2016 [:bsmedberg] 2012-07-09 08:46:45 PDT
ping? Is this something that could be accomplished just on the webapp side by either setting a content-disposition header or with a simple redirect? This would make my life a lot happier!
Comment 2 Robert Helmer [:rhelmer] 2012-07-09 08:55:25 PDT
Pretty sure this happens as an apache rewrite, should be possible to change:

https://github.com/mozilla/socorro/blob/master/puppet/files/etc_apache2_sites-available/crash-stats
Comment 3 Robert Helmer [:rhelmer] 2012-07-09 12:37:27 PDT
(In reply to Robert Helmer [:rhelmer] from comment #2)
> Pretty sure this happens as an apache rewrite, should be possible to change:
> 
> https://github.com/mozilla/socorro/blob/master/puppet/files/
> etc_apache2_sites-available/crash-stats

To actually fix this bug, that needs to be changed and tested locally (e.g. in vagrant) and also IT needs to deploy it via their puppet setup.
Comment 4 Ted Mielczarek [:ted.mielczarek] 2013-05-06 08:12:56 PDT
Part 1, fix the rewrite rules:
https://github.com/mozilla/socorro/pull/1224
Comment 5 Ted Mielczarek [:ted.mielczarek] 2013-05-06 08:17:12 PDT
Part 2: fix the web UI:
https://github.com/mozilla/socorro/pull/1225

Should fix socorro-crashstats too, I'll look at that in a minute.
Comment 6 Ted Mielczarek [:ted.mielczarek] 2013-05-06 08:26:44 PDT
socorro-crashstats change:
https://github.com/mozilla/socorro-crashstats/pull/336
Comment 7 [github robot] 2013-05-06 10:15:53 PDT
Commit pushed to master at https://github.com/mozilla/socorro-crashstats

https://github.com/mozilla/socorro-crashstats/commit/d9011c7cc0e66a4dc1bfb854aa4458c1a77abd37
Merge pull request #337 from rhelmer/bug541936-dmp-not-dump

Make raw dump link point to .dmp instead of .dump from web UI
Comment 8 [github robot] 2013-05-08 15:51:42 PDT
Commit pushed to master at https://github.com/mozilla/socorro

https://github.com/mozilla/socorro/commit/91b4d41b836225882e623ec223a7fe8acb40bf12
Merge pull request #1229 from rhelmer/bug541936-dmp-not-dump-php

Bug541936 dmp not dump php
Comment 9 Chris Lonnen :lonnen 2013-05-15 15:43:10 PDT
shipped in 46

Note You need to log in before you can comment on or make changes to this bug.